# バッチスクレイピング完了 (/ja/api-reference/endpoint/webhook-batch-scrape-completed)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 584 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレープ](/ja/api-reference/endpoint/batch-scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md)

ペイロードの例、設定、再試行の挙動については、[webhookイベントの種類](/ja/webhooks/events#batch_scrapecompleted)と[webhookの概要](/ja/webhooks/overview)を参照してください。

`POST` webhook `batchScrapeCompleted`

バッチスクレイプが完了しました

## OpenAPI

```json
{
  "parameters": [
    {
      "description": "生のリクエスト本文の HMAC-SHA256 署名。形式は `sha256=<hex>` です。[アカウント設定](https://www.firecrawl.dev/app/settings?tab=advanced)で HMAC シークレットが設定されている場合に含まれます。検証の詳細は [Webhook Security](/webhooks/security) を参照してください。",
      "in": "header",
      "name": "X-Firecrawl-Signature",
      "required": false,
      "schema": {
        "example": "sha256=abc123def456789...",
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "example": {
          "data": [],
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "metadata": {},
          "success": true,
          "type": "batch_scrape.completed",
          "webhookId": "b2c3d4e5-0003-0000-0000-000000000000"
        },
        "schema": {
          "properties": {
            "data": {
              "default": [],
              "description": "空の配列です。結果は `GET /batch/scrape/{id}` で取得してください。",
              "items": {},
              "type": "array"
            },
            "id": {
              "description": "バッチスクレイプジョブのID。",
              "format": "uuid",
              "type": "string"
            },
            "metadata": {
              "additionalProperties": {
                "type": "string"
              },
              "description": "webhook 設定で指定したカスタムメタデータオブジェクト。すべての配信でそのまま返されます。",
              "type": "object"
            },
            "success": {
              "const": true,
              "type": "boolean"
            },
            "type": {
              "const": "batch_scrape.completed",
              "type": "string"
            },
            "webhookId": {
              "description": "このWebhook配信の一意の識別子。",
              "format": "uuid",
              "type": "string"
            }
          },
          "required": [
            "success",
            "type",
            "id",
            "webhookId",
            "data"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "受信を確認するには、任意の `2xx` ステータスコードを返してください。"
    }
  }
}
```
